/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<app.h>)
#  include <app.h>
#endif
#if __has_include(<quickicon.h>)
#  include <quickicon.h>
#endif
#if __has_include(<quickui.h>)
#  include <quickui.h>
#endif
#if __has_include(<syncthingdata.h>)
#  include <syncthingdata.h>
#endif
#if __has_include(<syncthingmodels.h>)
#  include <syncthingmodels.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Main()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QtGui::App>("Main", 1);
    QMetaType::fromType<QtGui::AppBase *>().id();
    qmlRegisterTypesAndRevisions<QtGui::Icon>("Main", 1);
    qmlRegisterAnonymousType<QQuickItem, 254>("Main", 1);
    qmlRegisterTypesAndRevisions<QtGui::QuickUI>("Main", 1);
    qmlRegisterTypesAndRevisions<QtGui::SyncthingData>("Main", 1);
    qmlRegisterTypesAndRevisions<QtGui::SyncthingModels>("Main", 1);
    QT_WARNING_POP
    qmlRegisterModule("Main", 1, 0);
}

static const QQmlModuleRegistration mainRegistration("Main", qml_register_types_Main);
